package Juman::Grammar;
require 5.004_04; # For base pragma.
use strict;
use base qw/ Exporter /;
use vars qw/ @EXPORT_OK $HINSI $BUNRUI $TYPE $FORM /;
@EXPORT_OK = qw/ $HINSI $BUNRUI $TYPE $FORM /;

=head1 NAME

Juman::Grammar - ʻʬ༭񤪤ӳʬ༭

=head1 DESCRIPTION

Juman ʻʬ༭񤪤ӳʬ༭ Perl ץǡ

=head1 VARIABLES

=over 4

=item C<$HINSI>

ʻʻֹбɽ(ϥå)Фե󥹤ǼƤ롥

    $HINSI->[0]->{ʻ} => ʻֹ
    $HINSI->[ʻֹ]  => ʻ

=item C<$BUNRUI>

ʬȺʬֹбɽ(ϥå)Фե󥹤ǼƤ
롥

    $BUNRUI->{ʻ}->[0]->{ʬ} => ʬֹ
    $BUNRUI->{ʻ}->[ʬֹ]  => ʬ

=item C<$TYPE>

ѷȳѷֹбɽ(ϥå)Фե󥹤ǼƤ
롥

    $TYPE->[0]->{ѷ} => ѷֹ
    $TYPE->[ѷֹ]  => [ ѷ, ѷ, ѷ, ... ]

=item C<$FORM>

ѷȳѷֹбɽ(ϥå)Фե󥹤ǼƤ
롥

    $FORM->{ѷ}->[0]->{ѷ} => ѷֹ
    $FORM->{ѷ}->[ѷֹ]  => [ ѷ, , [ɤ߸] ]

=back

=cut
$HINSI = [
           {
             '' => 1,
             'w' => 7,
             'ڔ' => 14,
             '' => 6,
             '' => 2,
             '`e' => 3,
             '' => 8,
             '' => 12,
             '莌' => 4,
             '`' => 15,
             'ړ' => 13,
             'ڑ' => 10,
             'A̎' => 11,
             '' => 9,
             '' => 5
           },
           '',
           '',
           '`e',
           '莌',
           '',
           '',
           'w',
           '',
           '',
           'ڑ',
           'A̎',
           '',
           'ړ',
           'ڔ',
           '`'
         ];
$BUNRUI = {
            '' => [
                        {
                          'L' => 5,
                          '' => 6,
                          'ʏI' => 4,
                          'ʎn' => 3,
                          '_' => 1,
                          'Ǔ_' => 2
                        },
                        '_',
                        'Ǔ_',
                        'ʎn',
                        'ʏI',
                        'L',
                        ''
                      ],
            'w' => [
                          {
                            'A̎`Ԏw' => 2,
                            '`Ԏw' => 1,
                            '`Ԏw' => 3
                          },
                          '`Ԏw',
                          'A̎`Ԏw',
                          '`Ԏw'
                        ],
            '' => [
                        {
                          '' => 7,
                          'ʖ' => 1,
                          'gD' => 6,
                          'Tϖ' => 2,
                          '' => 10,
                          '`' => 8,
                          'l' => 5,
                          'ŗL' => 3,
                          'I' => 9,
                          'n' => 4
                        },
                        'ʖ',
                        'Tϖ',
                        'ŗL',
                        'n',
                        'l',
                        'gD',
                        '',
                        '`',
                        'I',
                        ''
                      ],
            'ڔ' => [
                          {
                            '`eڔ' => 6,
                            '`eqڔ' => 5,
                            'ڔ' => 4,
                            'ڔ' => 2,
                            'ڔ' => 7,
                            'qڔ' => 1,
                            '' => 3
                          },
                          'qڔ',
                          'ڔ',
                          '',
                          'ڔ',
                          '`eqڔ',
                          '`eڔ',
                          'ڔ'
                        ],
            '' => [
                        {
                          'lԕ' => 1,
                          'x' => 2,
                          ']' => 7,
                          '' => 5,
                          'ʕ' => 3,
                          'q' => 6,
                          'px' => 4,
                          '' => 8
                        },
                        'lԕ',
                        'x',
                        'ʕ',
                        'px',
                        '',
                        'q',
                        ']',
                        ''
                      ],
            'ړ' => [
                          {
                            'i`eړ' => 4,
                            'C`eړ' => 3,
                            'ړ' => 1,
                            'ړ' => 2
                          },
                          'ړ',
                          'ړ',
                          'C`eړ',
                          'i`eړ'
                        ],
            '`' => [
                            {
                              '̑' => 1,
                              'At@xbg' => 3,
                              'J^Ji' => 2
                            },
                            '̑',
                            'J^Ji',
                            'At@xbg'
                          ],
            '' => [
                        {
                          'I' => 4,
                          'ڑ' => 3,
                          'i' => 1,
                          '' => 2
                        },
                        'i',
                        '',
                        'ڑ',
                        'I'
                      ]
          };
$TYPE = [
          {
            'ڔ^' => 33,
            'qJs' => 2,
            'C`eCi' => 19,
            'qTs' => 5,
            'qKs' => 4,
            'C`eCi' => 20,
            'ڔ܂^' => 31,
            'Jϓ' => 14,
            'Uϓ' => 17,
            'qsꉹ֌`' => 13,
            'Jϓ' => 15,
            '莌' => 25,
            'q}s' => 9,
            'qos' => 8,
            '^`e' => 24,
            'q^s' => 6,
            'qsC`' => 11,
            'im`e' => 22,
            'qis' => 7,
            'qJs֌`' => 3,
            'ʌ^' => 27,
            'i`e' => 21,
            '낤^' => 28,
            'ڔ^' => 32,
            'p^' => 26,
            'C`eAEIi' => 18,
            '^' => 30,
            'Tϓ' => 16,
            'qs' => 12,
            'ꉹ' => 1,
            '^' => 29,
            'qs' => 10,
            'i`e' => 23
          },
          [
            'ꉹ',
            'ꊲ',
            '{`',
            'R`',
            'ӎu`',
            'ȗӎu`',
            'ߌ`',
            '{`',
            '{Ap`',
            '^ژAp`',
            '^`',
            '^nʌ`',
            '^nȗʌ`',
            '^n`',
            '^nApe`',
            '^nAp^`',
            '^nAp``',
            '֏`',
            'ꖽߌ`'
          ],
          [
            'qJs',
            'ꊲ',
            '{`',
            'R`',
            'ӎu`',
            'ȗӎu`',
            'ߌ`',
            '{`',
            '{Ap`',
            '^ژAp`',
            '^`',
            '^nʌ`',
            '^nȗʌ`',
            '^n`',
            '^nApe`',
            '^nAp^`',
            '^nAp``',
            '֏`'
          ],
          [
            'qJs֌`',
            'ꊲ',
            '{`',
            'R`',
            'ӎu`',
            'ȗӎu`',
            'ߌ`',
            '{`',
            '{Ap`',
            '^ژAp`',
            '^`',
            '^nʌ`',
            '^nȗʌ`',
            '^n`',
            '^nApe`',
            '^nAp^`',
            '^nAp``',
            '֏`'
          ],
          [
            'qKs',
            'ꊲ',
            '{`',
            'R`',
            'ӎu`',
            'ȗӎu`',
            'ߌ`',
            '{`',
            '{Ap`',
            '^ژAp`',
            '^`',
            '^nʌ`',
            '^nȗʌ`',
            '^n`',
            '^nApe`',
            '^nAp^`',
            '^nAp``',
            '֏`'
          ],
          [
            'qTs',
            'ꊲ',
            '{`',
            'R`',
            'ӎu`',
            'ȗӎu`',
            'ߌ`',
            '{`',
            '{Ap`',
            '^ژAp`',
            '^`',
            '^nʌ`',
            '^nȗʌ`',
            '^n`',
            '^nApe`',
            '^nAp^`',
            '^nAp``',
            '֏`'
          ],
          [
            'q^s',
            'ꊲ',
            '{`',
            'R`',
            'ӎu`',
            'ȗӎu`',
            'ߌ`',
            '{`',
            '{Ap`',
            '^ژAp`',
            '^`',
            '^nʌ`',
            '^nȗʌ`',
            '^n`',
            '^nApe`',
            '^nAp^`',
            '^nAp``',
            '֏`'
          ],
          [
            'qis',
            'ꊲ',
            '{`',
            'R`',
            'ӎu`',
            'ȗӎu`',
            'ߌ`',
            '{`',
            '{Ap`',
            '^ژAp`',
            '^`',
            '^nʌ`',
            '^nȗʌ`',
            '^n`',
            '^nApe`',
            '^nAp^`',
            '^nAp``',
            '֏`'
          ],
          [
            'qos',
            'ꊲ',
            '{`',
            'R`',
            'ӎu`',
            'ȗӎu`',
            'ߌ`',
            '{`',
            '{Ap`',
            '^ژAp`',
            '^`',
            '^nʌ`',
            '^nȗʌ`',
            '^n`',
            '^nApe`',
            '^nAp^`',
            '^nAp``',
            '֏`'
          ],
          [
            'q}s',
            'ꊲ',
            '{`',
            'R`',
            'ӎu`',
            'ȗӎu`',
            'ߌ`',
            '{`',
            '{Ap`',
            '^ژAp`',
            '^`',
            '^nʌ`',
            '^nȗʌ`',
            '^n`',
            '^nApe`',
            '^nAp^`',
            '^nAp``',
            '֏`'
          ],
          [
            'qs',
            'ꊲ',
            '{`',
            'R`',
            'ӎu`',
            'ȗӎu`',
            'ߌ`',
            '{`',
            '{Ap`',
            '^ژAp`',
            '^`',
            '^nʌ`',
            '^nȗʌ`',
            '^n`',
            '^nApe`',
            '^nAp^`',
            '^nAp``',
            '֏`'
          ],
          [
            'qsC`',
            'ꊲ',
            '{`',
            'R`',
            'ӎu`',
            'ȗӎu`',
            'ߌ`',
            '{`',
            '{Ap`',
            '^ژAp`',
            '^`',
            '^nʌ`',
            '^nȗʌ`',
            '^n`',
            '^nApe`',
            '^nAp^`',
            '^nAp``',
            '֏`'
          ],
          [
            'qs',
            'ꊲ',
            '{`',
            'R`',
            'ӎu`',
            'ȗӎu`',
            'ߌ`',
            '{`',
            '{Ap`',
            '^ژAp`',
            '^`',
            '^nʌ`',
            '^nȗʌ`',
            '^n`',
            '^nApe`',
            '^nAp^`',
            '^nAp``'
          ],
          [
            'qsꉹ֌`',
            'ꊲ',
            '{`',
            'R`',
            'ӎu`',
            'ȗӎu`',
            'ߌ`',
            '{`',
            '{Ap`',
            '^ژAp`',
            '^`',
            '^nʌ`',
            '^nȗʌ`',
            '^n`',
            '^nApe`',
            '^nAp^`',
            '^nAp``'
          ],
          [
            'Jϓ',
            'ꊲ',
            '{`',
            'R`',
            'ӎu`',
            'ȗӎu`',
            'ߌ`',
            '{`',
            '{Ap`',
            '^ژAp`',
            '^`',
            '^nʌ`',
            '^nȗʌ`',
            '^n`',
            '^nApe`',
            '^nAp^`',
            '^nAp``',
            '֏`'
          ],
          [
            'Jϓ',
            'ꊲ',
            '{`',
            'R`',
            'ӎu`',
            'ȗӎu`',
            'ߌ`',
            '{`',
            '{Ap`',
            '^ژAp`',
            '^`',
            '^nʌ`',
            '^nȗʌ`',
            '^n`',
            '^nApe`',
            '^nAp^`',
            '^nAp``',
            '֏`'
          ],
          [
            'Tϓ',
            'ꊲ',
            '{`',
            'R`',
            'ӎu`',
            'ȗӎu`',
            'ߌ`',
            '{`',
            '{Ap`',
            '^ژAp`',
            '^`',
            '^nʌ`',
            '^nȗʌ`',
            '^n`',
            '^nApe`',
            '^nAp^`',
            '^nAp``',
            '֏`',
            '{`',
            'ꖢR`',
            'ꖽߌ`'
          ],
          [
            'Uϓ',
            'ꊲ',
            '{`',
            'R`',
            'ӎu`',
            'ȗӎu`',
            'ߌ`',
            '{`',
            '{Ap`',
            '^ژAp`',
            '^`',
            '^nʌ`',
            '^nȗʌ`',
            '^n`',
            '^nApe`',
            '^nAp^`',
            '^nAp``',
            '֏`',
            '{`',
            'ꖢR`',
            'ꖽߌ`'
          ],
          [
            'C`eAEIi',
            'ꊲ',
            '{`',
            'ߌ`',
            '{ʌ`',
            '{ȗʌ`',
            '{`',
            '{Ap`',
            '^`',
            '^nʌ`',
            '^nȗʌ`',
            '^n`',
            '^nApe`',
            '^nAp^`',
            '^nAp``',
            '^nAp``Q',
            '֏`',
            '֏`Q',
            '{`',
            'ꖢR`',
            'Ap`',
            'Ǎ`',
            'ꖽߌ`'
          ],
          [
            'C`eCi',
            'ꊲ',
            '{`',
            'ߌ`',
            '{ʌ`',
            '{ȗʌ`',
            '{`',
            '{Ap`',
            '^`',
            '^nʌ`',
            '^nȗʌ`',
            '^n`',
            '^nApe`',
            '^nAp^`',
            '^nAp``',
            '^nAp``Q',
            '֏`',
            '֏`Q',
            '{`',
            'ꖢR`',
            'Ap`',
            'Ǎ`',
            'ꖽߌ`'
          ],
          [
            'C`eCi',
            'ꊲ',
            '{`',
            'ߌ`',
            '{ʌ`',
            '{ȗʌ`',
            '{`',
            '{Ap`',
            '^`',
            '^nʌ`',
            '^nȗʌ`',
            '^n`',
            '^nApe`',
            '^nAp^`',
            '^nAp``',
            '^nAp``Q',
            '֏`',
            '֏`Q',
            '{`',
            'ꖢR`',
            'Ap`',
            'Ǎ`',
            'ꖽߌ`'
          ],
          [
            'i`e',
            'ꊲ',
            '{`',
            '_񖽗ߌ`',
            '_{Ǎ`',
            '_{ʌ`',
            '_{ȗʌ`',
            '_{`',
            '_{Ap`',
            '_^`',
            '_^nʌ`',
            '_^nȗʌ`',
            '_^n`',
            '_^nApe`',
            '_^nAp^`',
            '_^nApW`',
            '_񕶌Ǎ`',
            '_񕶌`',
            'fA{`',
            'fA񖽗ߌ`',
            'fA{ʌ`',
            'fA{ȗʌ`',
            'fA{`',
            'fA{Ap`',
            'fA^`',
            'fA^nʌ`',
            'fA^nȗʌ`',
            'fA^n`',
            'fA^nApe`',
            'fA^nAp^`',
            'fX{`',
            'fX{ʌ`',
            'fX{ȗʌ`',
            'fX^`',
            'fX^nʌ`',
            'fX^nȗʌ`',
            'fX^n`',
            'fX^nApe`',
            'fX^nAp^`'
          ],
          [
            'im`e',
            'ꊲ',
            '{`',
            '_񖽗ߌ`',
            '_{Ǎ`',
            '_Ǎ`',
            '_{ʌ`',
            '_{ȗʌ`',
            '_{`',
            '_{Ap`',
            '_^`',
            '_^nʌ`',
            '_^nȗʌ`',
            '_^n`',
            '_^nApe`',
            '_^nAp^`',
            '_^nApW`',
            '_񕶌Ǎ`',
            '_񕶌`',
            'fA{`',
            'fA񖽗ߌ`',
            'fA{ʌ`',
            'fA{ȗʌ`',
            'fA{`',
            'fA{Ap`',
            'fA^`',
            'fA^nʌ`',
            'fA^nȗʌ`',
            'fA^n`',
            'fA^nApe`',
            'fA^nAp^`',
            'fX{`',
            'fX{ʌ`',
            'fX{ȗʌ`',
            'fX^`',
            'fX^nʌ`',
            'fX^nȗʌ`',
            'fX^n`',
            'fX^nApe`',
            'fX^nAp^`'
          ],
          [
            'i`e',
            'ꊲ',
            '{`',
            '_񖽗ߌ`',
            '_{Ǎ`',
            '_Ǎ`',
            '_{ʌ`',
            '_{ȗʌ`',
            '_{`',
            '_{Ap`',
            '_Ap`',
            '_^`',
            '_^nʌ`',
            '_^nȗʌ`',
            '_^n`',
            '_^nApe`',
            '_^nAp^`',
            '_^nApW`',
            '_񕶌Ǎ`',
            '_񕶌`',
            'fA{`',
            'fA񖽗ߌ`',
            'fA{ʌ`',
            'fA{ȗʌ`',
            'fA{`',
            'fA{Ap`',
            'fA^`',
            'fA^nʌ`',
            'fA^nȗʌ`',
            'fA^n`',
            'fA^nApe`',
            'fA^nAp^`',
            'fX{`',
            'fX{ʌ`',
            'fX{ȗʌ`',
            'fX^`',
            'fX^nʌ`',
            'fX^nȗʌ`',
            'fX^n`',
            'fX^nApe`',
            'fX^nAp^`'
          ],
          [
            '^`e',
            'ꊲ',
            '{`',
            '{Ap`'
          ],
          [
            '莌',
            'ꊲ',
            '{`',
            '_񖽗ߌ`',
            '_{Ǎ`',
            '_Ǎ`',
            '_{ʌ`',
            '_{ȗʌ`',
            '_{`',
            '_^`',
            '_^nʌ`',
            '_^nȗʌ`',
            '_^n`',
            '_^nApe`',
            '_^nAp^`',
            '_^nApW`',
            'fA{`',
            'fA񖽗ߌ`',
            'fA{ʌ`',
            'fA{ȗʌ`',
            'fA{`',
            'fA{Ap`',
            'fA^`',
            'fA^nʌ`',
            'fA^nȗʌ`',
            'fA^n`',
            'fA^nApe`',
            'fA^nAp^`',
            'fX{`',
            'fX{ʌ`',
            'fX{ȗʌ`',
            'fX^`',
            'fX^nʌ`',
            'fX^nȗʌ`',
            'fX^n`',
            'fX^nApe`',
            'fX^nAp^`'
          ],
          [
            'p^',
            'ꊲ',
            '{`'
          ],
          [
            'ʌ^',
            'ꊲ',
            '{`',
            '{`',
            '{Ap`',
            '{ʌ`',
            '{ȗʌ`',
            '^`',
            '^n`',
            '^nApe`',
            '^nʌ`',
            '^nȗʌ`',
            '֊{`',
            '֐ʌ`',
            '֏ȗʌ`',
            'Ǎ`',
            '`',
            'ꉹ֏`'
          ],
          [
            '낤^',
            'ꊲ',
            '{`',
            '_{ȗʌ`',
            '_{`',
            'fA{ʌ`',
            'fA{ȗʌ`',
            'fX{ʌ`',
            'fX{ȗʌ`'
          ],
          [
            '^',
            'ꊲ',
            '{`',
            '_^nApe`',
            'fA{`',
            'fX{`'
          ],
          [
            '^',
            'ꊲ',
            '{`',
            '{Ap`',
            'Ǎ`'
          ],
          [
            'ڔ܂^',
            'ꊲ',
            '{`',
            'R`',
            'ӎu`',
            'ȗӎu`',
            'ߌ`',
            '^`',
            '^n`',
            '^nApe`',
            '^nAp^`'
          ],
          [
            'ڔ^',
            'ꊲ',
            '{`',
            'R`',
            '{`',
            '^`',
            '^nʌ`',
            '^nȗʌ`',
            '^n`',
            '^nApe`',
            '^nAp^`'
          ],
          [
            'ڔ^',
            'ꊲ',
            '{`',
            'R`',
            '{`',
            '^`',
            '^nʌ`',
            '^nȗʌ`',
            '^n`',
            '^nApe`',
            '^nAp^`'
          ]
        ];
$FORM = {
          'ڔ^' => [
                                    {
                                      '^nApe`' => 9,
                                      '^nȗʌ`' => 7,
                                      '^nʌ`' => 6,
                                      '^`' => 5,
                                      '{`' => 4,
                                      'R`' => 3,
                                      '{`' => 2,
                                      'ꊲ' => 1,
                                      '^nAp^`' => 10,
                                      '^n`' => 8
                                    },
                                    [
                                      'ꊲ',
                                      '*',
                                      '*'
                                    ],
                                    [
                                      '{`',
                                      '',
                                      ''
                                    ],
                                    [
                                      'R`',
                                      '',
                                      ''
                                    ],
                                    [
                                      '{`',
                                      '',
                                      ''
                                    ],
                                    [
                                      '^`',
                                      '',
                                      ''
                                    ],
                                    [
                                      '^nʌ`',
                                      '낤',
                                      '낤'
                                    ],
                                    [
                                      '^nȗʌ`',
                                      '',
                                      ''
                                    ],
                                    [
                                      '^n`',
                                      '',
                                      ''
                                    ],
                                    [
                                      '^nApe`',
                                      '',
                                      ''
                                    ],
                                    [
                                      '^nAp^`',
                                      '',
                                      ''
                                    ]
                                  ],
          'qJs' => [
                              {
                                '^nAp``' => 16,
                                '^`' => 10,
                                '{Ap`' => 8,
                                'ꊲ' => 1,
                                '^nAp^`' => 15,
                                'ߌ`' => 6,
                                '^nȗʌ`' => 12,
                                '^nApe`' => 14,
                                '^ژAp`' => 9,
                                'ȗӎu`' => 5,
                                '^nʌ`' => 11,
                                '{`' => 7,
                                'R`' => 3,
                                '{`' => 2,
                                '֏`' => 17,
                                'ӎu`' => 4,
                                '^n`' => 13
                              },
                              [
                                'ꊲ',
                                '*'
                              ],
                              [
                                '{`',
                                ''
                              ],
                              [
                                'R`',
                                ''
                              ],
                              [
                                'ӎu`',
                                ''
                              ],
                              [
                                'ȗӎu`',
                                ''
                              ],
                              [
                                'ߌ`',
                                ''
                              ],
                              [
                                '{`',
                                ''
                              ],
                              [
                                '{Ap`',
                                ''
                              ],
                              [
                                '^ژAp`',
                                ''
                              ],
                              [
                                '^`',
                                ''
                              ],
                              [
                                '^nʌ`',
                                '낤'
                              ],
                              [
                                '^nȗʌ`',
                                ''
                              ],
                              [
                                '^n`',
                                ''
                              ],
                              [
                                '^nApe`',
                                ''
                              ],
                              [
                                '^nAp^`',
                                ''
                              ],
                              [
                                '^nAp``',
                                ''
                              ],
                              [
                                '֏`',
                                ''
                              ]
                            ],
          'C`eCi' => [
                              {
                                'ꖢR`' => 19,
                                '֏`Q' => 17,
                                '^nAp``' => 14,
                                '{ʌ`' => 4,
                                'Ap`' => 20,
                                '^`' => 8,
                                'Ǎ`' => 21,
                                '{Ap`' => 7,
                                'ꊲ' => 1,
                                '^nAp^`' => 13,
                                '{ȗʌ`' => 5,
                                'ߌ`' => 3,
                                '^nȗʌ`' => 10,
                                '^nApe`' => 12,
                                '^nʌ`' => 9,
                                '{`' => 6,
                                '{`' => 2,
                                '^nAp``Q' => 15,
                                '֏`' => 16,
                                'ꖽߌ`' => 22,
                                '{`' => 18,
                                '^n`' => 11
                              },
                              [
                                'ꊲ',
                                '*'
                              ],
                              [
                                '{`',
                                ''
                              ],
                              [
                                'ߌ`',
                                ''
                              ],
                              [
                                '{ʌ`',
                                '낤'
                              ],
                              [
                                '{ȗʌ`',
                                ''
                              ],
                              [
                                '{`',
                                ''
                              ],
                              [
                                '{Ap`',
                                ''
                              ],
                              [
                                '^`',
                                ''
                              ],
                              [
                                '^nʌ`',
                                '낤'
                              ],
                              [
                                '^nȗʌ`',
                                ''
                              ],
                              [
                                '^n`',
                                ''
                              ],
                              [
                                '^nApe`',
                                ''
                              ],
                              [
                                '^nAp^`',
                                ''
                              ],
                              [
                                '^nAp``',
                                ''
                              ],
                              [
                                '^nAp``Q',
                                ''
                              ],
                              [
                                '֏`',
                                ''
                              ],
                              [
                                '֏`Q',
                                ''
                              ],
                              [
                                '{`',
                                '*'
                              ],
                              [
                                'ꖢR`',
                                ''
                              ],
                              [
                                'Ap`',
                                'イ'
                              ],
                              [
                                'Ǎ`',
                                ''
                              ],
                              [
                                'ꖽߌ`',
                                ''
                              ]
                            ],
          'qTs' => [
                              {
                                '^nAp``' => 16,
                                '^`' => 10,
                                '{Ap`' => 8,
                                'ꊲ' => 1,
                                '^nAp^`' => 15,
                                'ߌ`' => 6,
                                '^nȗʌ`' => 12,
                                '^nApe`' => 14,
                                '^ژAp`' => 9,
                                'ȗӎu`' => 5,
                                '^nʌ`' => 11,
                                '{`' => 7,
                                'R`' => 3,
                                '{`' => 2,
                                '֏`' => 17,
                                'ӎu`' => 4,
                                '^n`' => 13
                              },
                              [
                                'ꊲ',
                                '*'
                              ],
                              [
                                '{`',
                                ''
                              ],
                              [
                                'R`',
                                ''
                              ],
                              [
                                'ӎu`',
                                ''
                              ],
                              [
                                'ȗӎu`',
                                ''
                              ],
                              [
                                'ߌ`',
                                ''
                              ],
                              [
                                '{`',
                                ''
                              ],
                              [
                                '{Ap`',
                                ''
                              ],
                              [
                                '^ژAp`',
                                ''
                              ],
                              [
                                '^`',
                                ''
                              ],
                              [
                                '^nʌ`',
                                '낤'
                              ],
                              [
                                '^nȗʌ`',
                                ''
                              ],
                              [
                                '^n`',
                                ''
                              ],
                              [
                                '^nApe`',
                                ''
                              ],
                              [
                                '^nAp^`',
                                ''
                              ],
                              [
                                '^nAp``',
                                ''
                              ],
                              [
                                '֏`',
                                ''
                              ]
                            ],
          'qKs' => [
                              {
                                '^nAp``' => 16,
                                '^`' => 10,
                                '{Ap`' => 8,
                                'ꊲ' => 1,
                                '^nAp^`' => 15,
                                'ߌ`' => 6,
                                '^nȗʌ`' => 12,
                                '^nApe`' => 14,
                                '^ژAp`' => 9,
                                'ȗӎu`' => 5,
                                '^nʌ`' => 11,
                                '{`' => 7,
                                'R`' => 3,
                                '{`' => 2,
                                '֏`' => 17,
                                'ӎu`' => 4,
                                '^n`' => 13
                              },
                              [
                                'ꊲ',
                                '*'
                              ],
                              [
                                '{`',
                                ''
                              ],
                              [
                                'R`',
                                ''
                              ],
                              [
                                'ӎu`',
                                ''
                              ],
                              [
                                'ȗӎu`',
                                ''
                              ],
                              [
                                'ߌ`',
                                ''
                              ],
                              [
                                '{`',
                                ''
                              ],
                              [
                                '{Ap`',
                                ''
                              ],
                              [
                                '^ژAp`',
                                ''
                              ],
                              [
                                '^`',
                                ''
                              ],
                              [
                                '^nʌ`',
                                '낤'
                              ],
                              [
                                '^nȗʌ`',
                                ''
                              ],
                              [
                                '^n`',
                                ''
                              ],
                              [
                                '^nApe`',
                                ''
                              ],
                              [
                                '^nAp^`',
                                ''
                              ],
                              [
                                '^nAp``',
                                ''
                              ],
                              [
                                '֏`',
                                ''
                              ]
                            ],
          'C`eCi' => [
                                  {
                                    'ꖢR`' => 19,
                                    '֏`Q' => 17,
                                    '^nAp``' => 14,
                                    '{ʌ`' => 4,
                                    'Ap`' => 20,
                                    '^`' => 8,
                                    'Ǎ`' => 21,
                                    '{Ap`' => 7,
                                    'ꊲ' => 1,
                                    '^nAp^`' => 13,
                                    '{ȗʌ`' => 5,
                                    'ߌ`' => 3,
                                    '^nȗʌ`' => 10,
                                    '^nApe`' => 12,
                                    '^nʌ`' => 9,
                                    '{`' => 6,
                                    '{`' => 2,
                                    '^nAp``Q' => 15,
                                    '֏`' => 16,
                                    'ꖽߌ`' => 22,
                                    '{`' => 18,
                                    '^n`' => 11
                                  },
                                  [
                                    'ꊲ',
                                    '*'
                                  ],
                                  [
                                    '{`',
                                    ''
                                  ],
                                  [
                                    'ߌ`',
                                    ''
                                  ],
                                  [
                                    '{ʌ`',
                                    '낤'
                                  ],
                                  [
                                    '{ȗʌ`',
                                    ''
                                  ],
                                  [
                                    '{`',
                                    ''
                                  ],
                                  [
                                    '{Ap`',
                                    ''
                                  ],
                                  [
                                    '^`',
                                    ''
                                  ],
                                  [
                                    '^nʌ`',
                                    '낤'
                                  ],
                                  [
                                    '^nȗʌ`',
                                    ''
                                  ],
                                  [
                                    '^n`',
                                    ''
                                  ],
                                  [
                                    '^nApe`',
                                    ''
                                  ],
                                  [
                                    '^nAp^`',
                                    ''
                                  ],
                                  [
                                    '^nAp``',
                                    ''
                                  ],
                                  [
                                    '^nAp``Q',
                                    ''
                                  ],
                                  [
                                    '֏`',
                                    ''
                                  ],
                                  [
                                    '֏`Q',
                                    ''
                                  ],
                                  [
                                    '{`',
                                    ''
                                  ],
                                  [
                                    'ꖢR`',
                                    ''
                                  ],
                                  [
                                    'Ap`',
                                    'イ'
                                  ],
                                  [
                                    'Ǎ`',
                                    ''
                                  ],
                                  [
                                    'ꖽߌ`',
                                    ''
                                  ]
                                ],
          'ڔ܂^' => [
                                    {
                                      '^nApe`' => 9,
                                      'ȗӎu`' => 5,
                                      '^`' => 7,
                                      'R`' => 3,
                                      '{`' => 2,
                                      'ꊲ' => 1,
                                      '^nAp^`' => 10,
                                      'ӎu`' => 4,
                                      'ߌ`' => 6,
                                      '^n`' => 8
                                    },
                                    [
                                      'ꊲ',
                                      '*'
                                    ],
                                    [
                                      '{`',
                                      '܂'
                                    ],
                                    [
                                      'R`',
                                      '܂'
                                    ],
                                    [
                                      'ӎu`',
                                      '܂傤'
                                    ],
                                    [
                                      'ȗӎu`',
                                      '܂'
                                    ],
                                    [
                                      'ߌ`',
                                      '܂'
                                    ],
                                    [
                                      '^`',
                                      '܂'
                                    ],
                                    [
                                      '^n`',
                                      '܂'
                                    ],
                                    [
                                      '^nApe`',
                                      '܂'
                                    ],
                                    [
                                      '^nAp^`',
                                      '܂'
                                    ]
                                  ],
          'Jϓ' => [
                          {
                            '^nAp``' => 16,
                            '^`' => 10,
                            '{Ap`' => 8,
                            'ꊲ' => 1,
                            '^nAp^`' => 15,
                            'ߌ`' => 6,
                            '^nȗʌ`' => 12,
                            '^nApe`' => 14,
                            '^ژAp`' => 9,
                            'ȗӎu`' => 5,
                            '^nʌ`' => 11,
                            '{`' => 7,
                            'R`' => 3,
                            '{`' => 2,
                            '֏`' => 17,
                            'ӎu`' => 4,
                            '^n`' => 13
                          },
                          [
                            'ꊲ',
                            '*'
                          ],
                          [
                            '{`',
                            ''
                          ],
                          [
                            'R`',
                            ''
                          ],
                          [
                            'ӎu`',
                            '悤'
                          ],
                          [
                            'ȗӎu`',
                            ''
                          ],
                          [
                            'ߌ`',
                            ''
                          ],
                          [
                            '{`',
                            ''
                          ],
                          [
                            '{Ap`',
                            ''
                          ],
                          [
                            '^ژAp`',
                            ''
                          ],
                          [
                            '^`',
                            ''
                          ],
                          [
                            '^nʌ`',
                            '낤'
                          ],
                          [
                            '^nȗʌ`',
                            ''
                          ],
                          [
                            '^n`',
                            ''
                          ],
                          [
                            '^nApe`',
                            ''
                          ],
                          [
                            '^nAp^`',
                            ''
                          ],
                          [
                            '^nAp``',
                            ''
                          ],
                          [
                            '֏`',
                            ''
                          ]
                        ],
          'Uϓ' => [
                          {
                            'ꖢR`' => 19,
                            '^nAp``' => 16,
                            '^`' => 10,
                            '{Ap`' => 8,
                            'ꊲ' => 1,
                            '^nAp^`' => 15,
                            'ߌ`' => 6,
                            '^nȗʌ`' => 12,
                            '^nApe`' => 14,
                            '^ژAp`' => 9,
                            'ȗӎu`' => 5,
                            '^nʌ`' => 11,
                            '{`' => 7,
                            'R`' => 3,
                            '{`' => 2,
                            '֏`' => 17,
                            'ꖽߌ`' => 20,
                            'ӎu`' => 4,
                            '{`' => 18,
                            '^n`' => 13
                          },
                          [
                            'ꊲ',
                            '*'
                          ],
                          [
                            '{`',
                            ''
                          ],
                          [
                            'R`',
                            ''
                          ],
                          [
                            'ӎu`',
                            '悤'
                          ],
                          [
                            'ȗӎu`',
                            ''
                          ],
                          [
                            'ߌ`',
                            ''
                          ],
                          [
                            '{`',
                            ''
                          ],
                          [
                            '{Ap`',
                            ''
                          ],
                          [
                            '^ژAp`',
                            ''
                          ],
                          [
                            '^`',
                            ''
                          ],
                          [
                            '^nʌ`',
                            '낤'
                          ],
                          [
                            '^nȗʌ`',
                            ''
                          ],
                          [
                            '^n`',
                            ''
                          ],
                          [
                            '^nApe`',
                            ''
                          ],
                          [
                            '^nAp^`',
                            ''
                          ],
                          [
                            '^nAp``',
                            ''
                          ],
                          [
                            '֏`',
                            ''
                          ],
                          [
                            '{`',
                            ''
                          ],
                          [
                            'ꖢR`',
                            ''
                          ],
                          [
                            'ꖽߌ`',
                            ''
                          ]
                        ],
          'qsꉹ֌`' => [
                                        {
                                          '^nAp``' => 16,
                                          '^`' => 10,
                                          '{Ap`' => 8,
                                          'ꊲ' => 1,
                                          '^nAp^`' => 15,
                                          'ߌ`' => 6,
                                          '^nȗʌ`' => 12,
                                          '^nApe`' => 14,
                                          '^ژAp`' => 9,
                                          'ȗӎu`' => 5,
                                          '^nʌ`' => 11,
                                          '{`' => 7,
                                          'R`' => 3,
                                          '{`' => 2,
                                          'ӎu`' => 4,
                                          '^n`' => 13
                                        },
                                        [
                                          'ꊲ',
                                          '*'
                                        ],
                                        [
                                          '{`',
                                          ''
                                        ],
                                        [
                                          'R`',
                                          ''
                                        ],
                                        [
                                          'ӎu`',
                                          ''
                                        ],
                                        [
                                          'ȗӎu`',
                                          ''
                                        ],
                                        [
                                          'ߌ`',
                                          ''
                                        ],
                                        [
                                          '{`',
                                          ''
                                        ],
                                        [
                                          '{Ap`',
                                          ''
                                        ],
                                        [
                                          '^ژAp`',
                                          ''
                                        ],
                                        [
                                          '^`',
                                          ''
                                        ],
                                        [
                                          '^nʌ`',
                                          '낤'
                                        ],
                                        [
                                          '^nȗʌ`',
                                          ''
                                        ],
                                        [
                                          '^n`',
                                          ''
                                        ],
                                        [
                                          '^nApe`',
                                          ''
                                        ],
                                        [
                                          '^nAp^`',
                                          ''
                                        ],
                                        [
                                          '^nAp``',
                                          ''
                                        ]
                                      ],
          'Jϓ' => [
                            {
                              '^nAp``' => 16,
                              '^`' => 10,
                              '{Ap`' => 8,
                              'ꊲ' => 1,
                              '^nAp^`' => 15,
                              'ߌ`' => 6,
                              '^nȗʌ`' => 12,
                              '^nApe`' => 14,
                              '^ژAp`' => 9,
                              'ȗӎu`' => 5,
                              '^nʌ`' => 11,
                              '{`' => 7,
                              'R`' => 3,
                              '{`' => 2,
                              '֏`' => 17,
                              'ӎu`' => 4,
                              '^n`' => 13
                            },
                            [
                              'ꊲ',
                              '*',
                              '*'
                            ],
                            [
                              '{`',
                              '',
                              ''
                            ],
                            [
                              'R`',
                              '',
                              ''
                            ],
                            [
                              'ӎu`',
                              '悤',
                              '悤'
                            ],
                            [
                              'ȗӎu`',
                              '',
                              ''
                            ],
                            [
                              'ߌ`',
                              '',
                              ''
                            ],
                            [
                              '{`',
                              '',
                              ''
                            ],
                            [
                              '{Ap`',
                              '',
                              ''
                            ],
                            [
                              '^ژAp`',
                              '',
                              ''
                            ],
                            [
                              '^`',
                              '',
                              ''
                            ],
                            [
                              '^nʌ`',
                              '낤',
                              '낤'
                            ],
                            [
                              '^nȗʌ`',
                              '',
                              ''
                            ],
                            [
                              '^n`',
                              '',
                              ''
                            ],
                            [
                              '^nApe`',
                              '',
                              ''
                            ],
                            [
                              '^nAp^`',
                              '',
                              ''
                            ],
                            [
                              '^nAp``',
                              '',
                              ''
                            ],
                            [
                              '֏`',
                              '',
                              ''
                            ]
                          ],
          '莌' => [
                        {
                          'fA^nApe`' => 26,
                          '_^nApe`' => 13,
                          '_^nʌ`' => 10,
                          '_񖽗ߌ`' => 3,
                          'ꊲ' => 1,
                          '_{`' => 8,
                          'fX{ȗʌ`' => 30,
                          'fA{ʌ`' => 18,
                          'fA^n`' => 25,
                          'fA{ȗʌ`' => 19,
                          'fA񖽗ߌ`' => 17,
                          'fX^nApe`' => 35,
                          'fX^n`' => 34,
                          '_^nAp^`' => 14,
                          'fX^nȗʌ`' => 33,
                          'fX{`' => 28,
                          'fX^nʌ`' => 32,
                          '_^n`' => 12,
                          '_Ǎ`' => 5,
                          '_^`' => 9,
                          'fA^`' => 22,
                          'fX^nAp^`' => 36,
                          '_{ʌ`' => 6,
                          'fA^nAp^`' => 27,
                          'fA{`' => 16,
                          'fX^`' => 31,
                          '_{ȗʌ`' => 7,
                          '_^nȗʌ`' => 11,
                          '_{Ǎ`' => 4,
                          'fA{Ap`' => 21,
                          'fA^nʌ`' => 23,
                          '_^nApW`' => 15,
                          '{`' => 2,
                          'fA{`' => 20,
                          'fA^nȗʌ`' => 24,
                          'fX{ʌ`' => 29
                        },
                        [
                          'ꊲ',
                          '*'
                        ],
                        [
                          '{`',
                          ''
                        ],
                        [
                          '_񖽗ߌ`',
                          'Ȃ'
                        ],
                        [
                          '_{Ǎ`',
                          ''
                        ],
                        [
                          '_Ǎ`',
                          ''
                        ],
                        [
                          '_{ʌ`',
                          '낤'
                        ],
                        [
                          '_{ȗʌ`',
                          ''
                        ],
                        [
                          '_{`',
                          'Ȃ'
                        ],
                        [
                          '_^`',
                          ''
                        ],
                        [
                          '_^nʌ`',
                          '낤'
                        ],
                        [
                          '_^nȗʌ`',
                          ''
                        ],
                        [
                          '_^n`',
                          ''
                        ],
                        [
                          '_^nApe`',
                          ''
                        ],
                        [
                          '_^nAp^`',
                          ''
                        ],
                        [
                          '_^nApW`',
                          ''
                        ],
                        [
                          'fA{`',
                          'ł'
                        ],
                        [
                          'fA񖽗ߌ`',
                          'ł'
                        ],
                        [
                          'fA{ʌ`',
                          'ł낤'
                        ],
                        [
                          'fA{ȗʌ`',
                          'ł'
                        ],
                        [
                          'fA{`',
                          'ł'
                        ],
                        [
                          'fA{Ap`',
                          'ł'
                        ],
                        [
                          'fA^`',
                          'ł'
                        ],
                        [
                          'fA^nʌ`',
                          'ł낤'
                        ],
                        [
                          'fA^nȗʌ`',
                          'ł'
                        ],
                        [
                          'fA^n`',
                          'ł'
                        ],
                        [
                          'fA^nApe`',
                          'ł'
                        ],
                        [
                          'fA^nAp^`',
                          'ł'
                        ],
                        [
                          'fX{`',
                          'ł'
                        ],
                        [
                          'fX{ʌ`',
                          'ł傤'
                        ],
                        [
                          'fX{ȗʌ`',
                          'ł'
                        ],
                        [
                          'fX^`',
                          'ł'
                        ],
                        [
                          'fX^nʌ`',
                          'ł낤'
                        ],
                        [
                          'fX^nȗʌ`',
                          'ł'
                        ],
                        [
                          'fX^n`',
                          'ł'
                        ],
                        [
                          'fX^nApe`',
                          'ł'
                        ],
                        [
                          'fX^nAp^`',
                          'ł'
                        ]
                      ],
          'q}s' => [
                              {
                                '^nAp``' => 16,
                                '^`' => 10,
                                '{Ap`' => 8,
                                'ꊲ' => 1,
                                '^nAp^`' => 15,
                                'ߌ`' => 6,
                                '^nȗʌ`' => 12,
                                '^nApe`' => 14,
                                '^ژAp`' => 9,
                                'ȗӎu`' => 5,
                                '^nʌ`' => 11,
                                '{`' => 7,
                                'R`' => 3,
                                '{`' => 2,
                                '֏`' => 17,
                                'ӎu`' => 4,
                                '^n`' => 13
                              },
                              [
                                'ꊲ',
                                '*'
                              ],
                              [
                                '{`',
                                ''
                              ],
                              [
                                'R`',
                                ''
                              ],
                              [
                                'ӎu`',
                                ''
                              ],
                              [
                                'ȗӎu`',
                                ''
                              ],
                              [
                                'ߌ`',
                                ''
                              ],
                              [
                                '{`',
                                '߂'
                              ],
                              [
                                '{Ap`',
                                ''
                              ],
                              [
                                '^ژAp`',
                                ''
                              ],
                              [
                                '^`',
                                ''
                              ],
                              [
                                '^nʌ`',
                                '񂾂낤'
                              ],
                              [
                                '^nȗʌ`',
                                '񂽂'
                              ],
                              [
                                '^n`',
                                '񂾂'
                              ],
                              [
                                '^nApe`',
                                ''
                              ],
                              [
                                '^nAp^`',
                                '񂾂'
                              ],
                              [
                                '^nAp``',
                                '񂶂'
                              ],
                              [
                                '֏`',
                                '݂'
                              ]
                            ],
          'qos' => [
                              {
                                '^nAp``' => 16,
                                '^`' => 10,
                                '{Ap`' => 8,
                                'ꊲ' => 1,
                                '^nAp^`' => 15,
                                'ߌ`' => 6,
                                '^nȗʌ`' => 12,
                                '^nApe`' => 14,
                                '^ژAp`' => 9,
                                'ȗӎu`' => 5,
                                '^nʌ`' => 11,
                                '{`' => 7,
                                'R`' => 3,
                                '{`' => 2,
                                '֏`' => 17,
                                'ӎu`' => 4,
                                '^n`' => 13
                              },
                              [
                                'ꊲ',
                                '*'
                              ],
                              [
                                '{`',
                                ''
                              ],
                              [
                                'R`',
                                ''
                              ],
                              [
                                'ӎu`',
                                'ڂ'
                              ],
                              [
                                'ȗӎu`',
                                ''
                              ],
                              [
                                'ߌ`',
                                ''
                              ],
                              [
                                '{`',
                                'ׂ'
                              ],
                              [
                                '{Ap`',
                                ''
                              ],
                              [
                                '^ژAp`',
                                ''
                              ],
                              [
                                '^`',
                                ''
                              ],
                              [
                                '^nʌ`',
                                '񂾂낤'
                              ],
                              [
                                '^nȗʌ`',
                                '񂽂'
                              ],
                              [
                                '^n`',
                                '񂾂'
                              ],
                              [
                                '^nApe`',
                                ''
                              ],
                              [
                                '^nAp^`',
                                '񂾂'
                              ],
                              [
                                '^nAp``',
                                '񂶂'
                              ],
                              [
                                '֏`',
                                'т'
                              ]
                            ],
          '^`e' => [
                            {
                              '{Ap`' => 3,
                              'ꊲ' => 1,
                              '{`' => 2
                            },
                            [
                              'ꊲ',
                              '*'
                            ],
                            [
                              '{`',
                              ''
                            ],
                            [
                              '{Ap`',
                              ''
                            ]
                          ],
          'q^s' => [
                              {
                                '^nAp``' => 16,
                                '^`' => 10,
                                '{Ap`' => 8,
                                'ꊲ' => 1,
                                '^nAp^`' => 15,
                                'ߌ`' => 6,
                                '^nȗʌ`' => 12,
                                '^nApe`' => 14,
                                '^ژAp`' => 9,
                                'ȗӎu`' => 5,
                                '^nʌ`' => 11,
                                '{`' => 7,
                                'R`' => 3,
                                '{`' => 2,
                                '֏`' => 17,
                                'ӎu`' => 4,
                                '^n`' => 13
                              },
                              [
                                'ꊲ',
                                '*'
                              ],
                              [
                                '{`',
                                ''
                              ],
                              [
                                'R`',
                                ''
                              ],
                              [
                                'ӎu`',
                                'Ƃ'
                              ],
                              [
                                'ȗӎu`',
                                ''
                              ],
                              [
                                'ߌ`',
                                ''
                              ],
                              [
                                '{`',
                                'Ă'
                              ],
                              [
                                '{Ap`',
                                ''
                              ],
                              [
                                '^ژAp`',
                                ''
                              ],
                              [
                                '^`',
                                ''
                              ],
                              [
                                '^nʌ`',
                                '낤'
                              ],
                              [
                                '^nȗʌ`',
                                ''
                              ],
                              [
                                '^n`',
                                ''
                              ],
                              [
                                '^nApe`',
                                ''
                              ],
                              [
                                '^nAp^`',
                                ''
                              ],
                              [
                                '^nAp``',
                                ''
                              ],
                              [
                                '֏`',
                                ''
                              ]
                            ],
          'qsC`' => [
                                  {
                                    '^nAp``' => 16,
                                    '^`' => 10,
                                    '{Ap`' => 8,
                                    'ꊲ' => 1,
                                    '^nAp^`' => 15,
                                    'ߌ`' => 6,
                                    '^nȗʌ`' => 12,
                                    '^nApe`' => 14,
                                    '^ژAp`' => 9,
                                    'ȗӎu`' => 5,
                                    '^nʌ`' => 11,
                                    '{`' => 7,
                                    'R`' => 3,
                                    '{`' => 2,
                                    '֏`' => 17,
                                    'ӎu`' => 4,
                                    '^n`' => 13
                                  },
                                  [
                                    'ꊲ',
                                    '*'
                                  ],
                                  [
                                    '{`',
                                    ''
                                  ],
                                  [
                                    'R`',
                                    ''
                                  ],
                                  [
                                    'ӎu`',
                                    '낤'
                                  ],
                                  [
                                    'ȗӎu`',
                                    ''
                                  ],
                                  [
                                    'ߌ`',
                                    ''
                                  ],
                                  [
                                    '{`',
                                    ''
                                  ],
                                  [
                                    '{Ap`',
                                    ''
                                  ],
                                  [
                                    '^ژAp`',
                                    ''
                                  ],
                                  [
                                    '^`',
                                    ''
                                  ],
                                  [
                                    '^nʌ`',
                                    '낤'
                                  ],
                                  [
                                    '^nȗʌ`',
                                    ''
                                  ],
                                  [
                                    '^n`',
                                    ''
                                  ],
                                  [
                                    '^nApe`',
                                    ''
                                  ],
                                  [
                                    '^nAp^`',
                                    ''
                                  ],
                                  [
                                    '^nAp``',
                                    ''
                                  ],
                                  [
                                    '֏`',
                                    ''
                                  ]
                                ],
          'im`e' => [
                            {
                              '_{Ap`' => 9,
                              '_񕶌Ǎ`' => 17,
                              'fA^nApe`' => 29,
                              '_^nApe`' => 14,
                              '_^nʌ`' => 11,
                              '_񖽗ߌ`' => 3,
                              '_񕶌`' => 18,
                              'ꊲ' => 1,
                              '_{`' => 8,
                              'fX{ȗʌ`' => 33,
                              'fA{ʌ`' => 21,
                              'fA^n`' => 28,
                              'fA{ȗʌ`' => 22,
                              'fA񖽗ߌ`' => 20,
                              'fX^nApe`' => 38,
                              'fX^n`' => 37,
                              '_^nAp^`' => 15,
                              'fX^nȗʌ`' => 36,
                              'fX{`' => 31,
                              'fX^nʌ`' => 35,
                              '_^n`' => 13,
                              '_Ǎ`' => 5,
                              '_^`' => 10,
                              'fA^`' => 25,
                              'fX^nAp^`' => 39,
                              '_{ʌ`' => 6,
                              'fA^nAp^`' => 30,
                              'fX^`' => 34,
                              'fA{`' => 19,
                              '_{ȗʌ`' => 7,
                              '_^nȗʌ`' => 12,
                              '_{Ǎ`' => 4,
                              'fA{Ap`' => 24,
                              'fA^nʌ`' => 26,
                              '_^nApW`' => 16,
                              '{`' => 2,
                              'fA{`' => 23,
                              'fA^nȗʌ`' => 27,
                              'fX{ʌ`' => 32
                            },
                            [
                              'ꊲ',
                              '*'
                            ],
                            [
                              '{`',
                              ''
                            ],
                            [
                              '_񖽗ߌ`',
                              'Ȃ'
                            ],
                            [
                              '_{Ǎ`',
                              ''
                            ],
                            [
                              '_Ǎ`',
                              ''
                            ],
                            [
                              '_{ʌ`',
                              '낤'
                            ],
                            [
                              '_{ȗʌ`',
                              ''
                            ],
                            [
                              '_{`',
                              'Ȃ'
                            ],
                            [
                              '_{Ap`',
                              ''
                            ],
                            [
                              '_^`',
                              ''
                            ],
                            [
                              '_^nʌ`',
                              '낤'
                            ],
                            [
                              '_^nȗʌ`',
                              ''
                            ],
                            [
                              '_^n`',
                              ''
                            ],
                            [
                              '_^nApe`',
                              ''
                            ],
                            [
                              '_^nAp^`',
                              ''
                            ],
                            [
                              '_^nApW`',
                              ''
                            ],
                            [
                              '_񕶌Ǎ`',
                              'Ȃ'
                            ],
                            [
                              '_񕶌`',
                              'Ȃ'
                            ],
                            [
                              'fA{`',
                              'ł'
                            ],
                            [
                              'fA񖽗ߌ`',
                              'ł'
                            ],
                            [
                              'fA{ʌ`',
                              'ł낤'
                            ],
                            [
                              'fA{ȗʌ`',
                              'ł'
                            ],
                            [
                              'fA{`',
                              'ł'
                            ],
                            [
                              'fA{Ap`',
                              'ł'
                            ],
                            [
                              'fA^`',
                              'ł'
                            ],
                            [
                              'fA^nʌ`',
                              'ł낤'
                            ],
                            [
                              'fA^nȗʌ`',
                              'ł'
                            ],
                            [
                              'fA^n`',
                              'ł'
                            ],
                            [
                              'fA^nApe`',
                              'ł'
                            ],
                            [
                              'fA^nAp^`',
                              'ł'
                            ],
                            [
                              'fX{`',
                              'ł'
                            ],
                            [
                              'fX{ʌ`',
                              'ł傤'
                            ],
                            [
                              'fX{ȗʌ`',
                              'ł'
                            ],
                            [
                              'fX^`',
                              'ł'
                            ],
                            [
                              'fX^nʌ`',
                              'ł낤'
                            ],
                            [
                              'fX^nȗʌ`',
                              'ł'
                            ],
                            [
                              'fX^n`',
                              'ł'
                            ],
                            [
                              'fX^nApe`',
                              'ł'
                            ],
                            [
                              'fX^nAp^`',
                              'ł'
                            ]
                          ],
          'qis' => [
                              {
                                '^nAp``' => 16,
                                '^`' => 10,
                                '{Ap`' => 8,
                                'ꊲ' => 1,
                                '^nAp^`' => 15,
                                'ߌ`' => 6,
                                '^nȗʌ`' => 12,
                                '^nApe`' => 14,
                                '^ژAp`' => 9,
                                'ȗӎu`' => 5,
                                '^nʌ`' => 11,
                                '{`' => 7,
                                'R`' => 3,
                                '{`' => 2,
                                '֏`' => 17,
                                'ӎu`' => 4,
                                '^n`' => 13
                              },
                              [
                                'ꊲ',
                                '*'
                              ],
                              [
                                '{`',
                                ''
                              ],
                              [
                                'R`',
                                ''
                              ],
                              [
                                'ӎu`',
                                '̂'
                              ],
                              [
                                'ȗӎu`',
                                ''
                              ],
                              [
                                'ߌ`',
                                ''
                              ],
                              [
                                '{`',
                                '˂'
                              ],
                              [
                                '{Ap`',
                                ''
                              ],
                              [
                                '^ژAp`',
                                ''
                              ],
                              [
                                '^`',
                                ''
                              ],
                              [
                                '^nʌ`',
                                '񂾂낤'
                              ],
                              [
                                '^nȗʌ`',
                                '񂽂'
                              ],
                              [
                                '^n`',
                                '񂾂'
                              ],
                              [
                                '^nApe`',
                                ''
                              ],
                              [
                                '^nAp^`',
                                '񂾂'
                              ],
                              [
                                '^nAp``',
                                '񂶂'
                              ],
                              [
                                '֏`',
                                'ɂ'
                              ]
                            ],
          'qJs֌`' => [
                                      {
                                        '^nAp``' => 16,
                                        '^`' => 10,
                                        '{Ap`' => 8,
                                        'ꊲ' => 1,
                                        '^nAp^`' => 15,
                                        'ߌ`' => 6,
                                        '^nȗʌ`' => 12,
                                        '^nApe`' => 14,
                                        '^ژAp`' => 9,
                                        'ȗӎu`' => 5,
                                        '^nʌ`' => 11,
                                        '{`' => 7,
                                        'R`' => 3,
                                        '{`' => 2,
                                        '֏`' => 17,
                                        'ӎu`' => 4,
                                        '^n`' => 13
                                      },
                                      [
                                        'ꊲ',
                                        '*'
                                      ],
                                      [
                                        '{`',
                                        ''
                                      ],
                                      [
                                        'R`',
                                        ''
                                      ],
                                      [
                                        'ӎu`',
                                        ''
                                      ],
                                      [
                                        'ȗӎu`',
                                        ''
                                      ],
                                      [
                                        'ߌ`',
                                        ''
                                      ],
                                      [
                                        '{`',
                                        ''
                                      ],
                                      [
                                        '{Ap`',
                                        ''
                                      ],
                                      [
                                        '^ژAp`',
                                        ''
                                      ],
                                      [
                                        '^`',
                                        ''
                                      ],
                                      [
                                        '^nʌ`',
                                        '낤'
                                      ],
                                      [
                                        '^nȗʌ`',
                                        ''
                                      ],
                                      [
                                        '^n`',
                                        ''
                                      ],
                                      [
                                        '^nApe`',
                                        ''
                                      ],
                                      [
                                        '^nAp^`',
                                        ''
                                      ],
                                      [
                                        '^nAp``',
                                        ''
                                      ],
                                      [
                                        '֏`',
                                        ''
                                      ]
                                    ],
          'ʌ^' => [
                            {
                              '֏ȗʌ`' => 14,
                              '^nȗʌ`' => 11,
                              '^nApe`' => 9,
                              '^nʌ`' => 10,
                              '{ʌ`' => 5,
                              '֐ʌ`' => 13,
                              '֊{`' => 12,
                              '^`' => 7,
                              '{`' => 3,
                              'Ǎ`' => 15,
                              '{`' => 2,
                              '{Ap`' => 4,
                              'ꊲ' => 1,
                              '`' => 16,
                              '{ȗʌ`' => 6,
                              'ꉹ֏`' => 17,
                              '^n`' => 8
                            },
                            [
                              'ꊲ',
                              '*'
                            ],
                            [
                              '{`',
                              ''
                            ],
                            [
                              '{`',
                              '˂'
                            ],
                            [
                              '{Ap`',
                              ''
                            ],
                            [
                              '{ʌ`',
                              'ʂ낤'
                            ],
                            [
                              '{ȗʌ`',
                              'ʂ'
                            ],
                            [
                              '^`',
                              'Ȃ'
                            ],
                            [
                              '^n`',
                              'Ȃ񂾂'
                            ],
                            [
                              '^nApe`',
                              'Ȃ'
                            ],
                            [
                              '^nʌ`',
                              'Ȃ񂾂낤'
                            ],
                            [
                              '^nȗʌ`',
                              'Ȃ񂾂'
                            ],
                            [
                              '֊{`',
                              ''
                            ],
                            [
                              '֐ʌ`',
                              '񂾂낤'
                            ],
                            [
                              '֏ȗʌ`',
                              '񂾂'
                            ],
                            [
                              'Ǎ`',
                              ''
                            ],
                            [
                              '`',
                              ''
                            ],
                            [
                              'ꉹ֏`',
                              ''
                            ]
                          ],
          'i`e' => [
                          {
                            '_{Ap`' => 8,
                            '_񕶌Ǎ`' => 16,
                            'fA^nApe`' => 28,
                            '_^nApe`' => 13,
                            '_^nʌ`' => 10,
                            '_񖽗ߌ`' => 3,
                            '_񕶌`' => 17,
                            'ꊲ' => 1,
                            '_{`' => 7,
                            'fX{ȗʌ`' => 32,
                            'fA{ʌ`' => 20,
                            'fA^n`' => 27,
                            'fA{ȗʌ`' => 21,
                            'fA񖽗ߌ`' => 19,
                            'fX^nApe`' => 37,
                            'fX^n`' => 36,
                            '_^nAp^`' => 14,
                            'fX^nȗʌ`' => 35,
                            'fX{`' => 30,
                            'fX^nʌ`' => 34,
                            '_^n`' => 12,
                            '_^`' => 9,
                            'fA^`' => 24,
                            'fX^nAp^`' => 38,
                            '_{ʌ`' => 5,
                            'fA^nAp^`' => 29,
                            'fX^`' => 33,
                            'fA{`' => 18,
                            '_{ȗʌ`' => 6,
                            '_^nȗʌ`' => 11,
                            '_{Ǎ`' => 4,
                            'fA{Ap`' => 23,
                            'fA^nʌ`' => 25,
                            '_^nApW`' => 15,
                            '{`' => 2,
                            'fA{`' => 22,
                            'fA^nȗʌ`' => 26,
                            'fX{ʌ`' => 31
                          },
                          [
                            'ꊲ',
                            '*'
                          ],
                          [
                            '{`',
                            ''
                          ],
                          [
                            '_񖽗ߌ`',
                            'Ȃ'
                          ],
                          [
                            '_{Ǎ`',
                            ''
                          ],
                          [
                            '_{ʌ`',
                            '낤'
                          ],
                          [
                            '_{ȗʌ`',
                            ''
                          ],
                          [
                            '_{`',
                            'Ȃ'
                          ],
                          [
                            '_{Ap`',
                            ''
                          ],
                          [
                            '_^`',
                            ''
                          ],
                          [
                            '_^nʌ`',
                            '낤'
                          ],
                          [
                            '_^nȗʌ`',
                            ''
                          ],
                          [
                            '_^n`',
                            ''
                          ],
                          [
                            '_^nApe`',
                            ''
                          ],
                          [
                            '_^nAp^`',
                            ''
                          ],
                          [
                            '_^nApW`',
                            ''
                          ],
                          [
                            '_񕶌Ǎ`',
                            'Ȃ'
                          ],
                          [
                            '_񕶌`',
                            'Ȃ'
                          ],
                          [
                            'fA{`',
                            'ł'
                          ],
                          [
                            'fA񖽗ߌ`',
                            'ł'
                          ],
                          [
                            'fA{ʌ`',
                            'ł낤'
                          ],
                          [
                            'fA{ȗʌ`',
                            'ł'
                          ],
                          [
                            'fA{`',
                            'ł'
                          ],
                          [
                            'fA{Ap`',
                            'ł'
                          ],
                          [
                            'fA^`',
                            'ł'
                          ],
                          [
                            'fA^nʌ`',
                            'ł낤'
                          ],
                          [
                            'fA^nȗʌ`',
                            'ł'
                          ],
                          [
                            'fA^n`',
                            'ł'
                          ],
                          [
                            'fA^nApe`',
                            'ł'
                          ],
                          [
                            'fA^nAp^`',
                            'ł'
                          ],
                          [
                            'fX{`',
                            'ł'
                          ],
                          [
                            'fX{ʌ`',
                            'ł傤'
                          ],
                          [
                            'fX{ȗʌ`',
                            'ł'
                          ],
                          [
                            'fX^`',
                            'ł'
                          ],
                          [
                            'fX^nʌ`',
                            'ł낤'
                          ],
                          [
                            'fX^nȗʌ`',
                            'ł'
                          ],
                          [
                            'fX^n`',
                            'ł'
                          ],
                          [
                            'fX^nApe`',
                            'ł'
                          ],
                          [
                            'fX^nAp^`',
                            'ł'
                          ]
                        ],
          '낤^' => [
                                {
                                  '_{ȗʌ`' => 3,
                                  '{`' => 2,
                                  'ꊲ' => 1,
                                  '_{`' => 4,
                                  'fA{ʌ`' => 5,
                                  'fX{ȗʌ`' => 8,
                                  'fA{ȗʌ`' => 6,
                                  'fX{ʌ`' => 7
                                },
                                [
                                  'ꊲ',
                                  '*'
                                ],
                                [
                                  '{`',
                                  '낤'
                                ],
                                [
                                  '_{ȗʌ`',
                                  ''
                                ],
                                [
                                  '_{`',
                                  'Ȃ'
                                ],
                                [
                                  'fA{ʌ`',
                                  'ł낤'
                                ],
                                [
                                  'fA{ȗʌ`',
                                  'ł'
                                ],
                                [
                                  'fX{ʌ`',
                                  'ł傤'
                                ],
                                [
                                  'fX{ȗʌ`',
                                  'ł'
                                ]
                              ],
          'ڔ^' => [
                                    {
                                      '^nApe`' => 9,
                                      '^nȗʌ`' => 7,
                                      '^nʌ`' => 6,
                                      '^`' => 5,
                                      '{`' => 4,
                                      'R`' => 3,
                                      '{`' => 2,
                                      'ꊲ' => 1,
                                      '^nAp^`' => 10,
                                      '^n`' => 8
                                    },
                                    [
                                      'ꊲ',
                                      '*'
                                    ],
                                    [
                                      '{`',
                                      ''
                                    ],
                                    [
                                      'R`',
                                      ''
                                    ],
                                    [
                                      '{`',
                                      ''
                                    ],
                                    [
                                      '^`',
                                      ''
                                    ],
                                    [
                                      '^nʌ`',
                                      '낤'
                                    ],
                                    [
                                      '^nȗʌ`',
                                      ''
                                    ],
                                    [
                                      '^n`',
                                      ''
                                    ],
                                    [
                                      '^nApe`',
                                      ''
                                    ],
                                    [
                                      '^nAp^`',
                                      ''
                                    ]
                                  ],
          'p^' => [
                          {
                            'ꊲ' => 1,
                            '{`' => 2
                          },
                          [
                            'ꊲ',
                            '*'
                          ],
                          [
                            '{`',
                            '*'
                          ]
                        ],
          'C`eAEIi' => [
                                  {
                                    'ꖢR`' => 19,
                                    '֏`Q' => 17,
                                    '^nAp``' => 14,
                                    '{ʌ`' => 4,
                                    'Ap`' => 20,
                                    '^`' => 8,
                                    'Ǎ`' => 21,
                                    '{Ap`' => 7,
                                    'ꊲ' => 1,
                                    '^nAp^`' => 13,
                                    '{ȗʌ`' => 5,
                                    'ߌ`' => 3,
                                    '^nȗʌ`' => 10,
                                    '^nApe`' => 12,
                                    '^nʌ`' => 9,
                                    '{`' => 6,
                                    '{`' => 2,
                                    '^nAp``Q' => 15,
                                    '֏`' => 16,
                                    'ꖽߌ`' => 22,
                                    '{`' => 18,
                                    '^n`' => 11
                                  },
                                  [
                                    'ꊲ',
                                    '*'
                                  ],
                                  [
                                    '{`',
                                    ''
                                  ],
                                  [
                                    'ߌ`',
                                    ''
                                  ],
                                  [
                                    '{ʌ`',
                                    '낤'
                                  ],
                                  [
                                    '{ȗʌ`',
                                    ''
                                  ],
                                  [
                                    '{`',
                                    ''
                                  ],
                                  [
                                    '{Ap`',
                                    ''
                                  ],
                                  [
                                    '^`',
                                    ''
                                  ],
                                  [
                                    '^nʌ`',
                                    '낤'
                                  ],
                                  [
                                    '^nȗʌ`',
                                    ''
                                  ],
                                  [
                                    '^n`',
                                    ''
                                  ],
                                  [
                                    '^nApe`',
                                    ''
                                  ],
                                  [
                                    '^nAp^`',
                                    ''
                                  ],
                                  [
                                    '^nAp``',
                                    ''
                                  ],
                                  [
                                    '^nAp``Q',
                                    ''
                                  ],
                                  [
                                    '֏`',
                                    ''
                                  ],
                                  [
                                    '֏`Q',
                                    ''
                                  ],
                                  [
                                    '{`',
                                    ''
                                  ],
                                  [
                                    'ꖢR`',
                                    ''
                                  ],
                                  [
                                    'Ap`',
                                    ''
                                  ],
                                  [
                                    'Ǎ`',
                                    ''
                                  ],
                                  [
                                    'ꖽߌ`',
                                    ''
                                  ]
                                ],
          '^' => [
                            {
                              '{Ap`' => 3,
                              'ꊲ' => 1,
                              'Ǎ`' => 4,
                              '{`' => 2
                            },
                            [
                              'ꊲ',
                              '*'
                            ],
                            [
                              '{`',
                              ''
                            ],
                            [
                              '{Ap`',
                              ''
                            ],
                            [
                              'Ǎ`',
                              ''
                            ]
                          ],
          'Tϓ' => [
                          {
                            'ꖢR`' => 19,
                            '^nAp``' => 16,
                            '^`' => 10,
                            '{Ap`' => 8,
                            'ꊲ' => 1,
                            '^nAp^`' => 15,
                            'ߌ`' => 6,
                            '^nȗʌ`' => 12,
                            '^nApe`' => 14,
                            '^ژAp`' => 9,
                            'ȗӎu`' => 5,
                            '^nʌ`' => 11,
                            '{`' => 7,
                            'R`' => 3,
                            '{`' => 2,
                            '֏`' => 17,
                            'ꖽߌ`' => 20,
                            'ӎu`' => 4,
                            '{`' => 18,
                            '^n`' => 13
                          },
                          [
                            'ꊲ',
                            '*'
                          ],
                          [
                            '{`',
                            ''
                          ],
                          [
                            'R`',
                            ''
                          ],
                          [
                            'ӎu`',
                            '悤'
                          ],
                          [
                            'ȗӎu`',
                            ''
                          ],
                          [
                            'ߌ`',
                            ''
                          ],
                          [
                            '{`',
                            ''
                          ],
                          [
                            '{Ap`',
                            ''
                          ],
                          [
                            '^ژAp`',
                            ''
                          ],
                          [
                            '^`',
                            ''
                          ],
                          [
                            '^nʌ`',
                            '낤'
                          ],
                          [
                            '^nȗʌ`',
                            ''
                          ],
                          [
                            '^n`',
                            ''
                          ],
                          [
                            '^nApe`',
                            ''
                          ],
                          [
                            '^nAp^`',
                            ''
                          ],
                          [
                            '^nAp``',
                            ''
                          ],
                          [
                            '֏`',
                            ''
                          ],
                          [
                            '{`',
                            ''
                          ],
                          [
                            'ꖢR`',
                            ''
                          ],
                          [
                            'ꖽߌ`',
                            ''
                          ]
                        ],
          'qs' => [
                              {
                                '^nAp``' => 16,
                                '^`' => 10,
                                '{Ap`' => 8,
                                'ꊲ' => 1,
                                '^nAp^`' => 15,
                                'ߌ`' => 6,
                                '^nȗʌ`' => 12,
                                '^nApe`' => 14,
                                '^ژAp`' => 9,
                                'ȗӎu`' => 5,
                                '^nʌ`' => 11,
                                '{`' => 7,
                                'R`' => 3,
                                '{`' => 2,
                                'ӎu`' => 4,
                                '^n`' => 13
                              },
                              [
                                'ꊲ',
                                '*'
                              ],
                              [
                                '{`',
                                ''
                              ],
                              [
                                'R`',
                                ''
                              ],
                              [
                                'ӎu`',
                                ''
                              ],
                              [
                                'ȗӎu`',
                                ''
                              ],
                              [
                                'ߌ`',
                                ''
                              ],
                              [
                                '{`',
                                ''
                              ],
                              [
                                '{Ap`',
                                ''
                              ],
                              [
                                '^ژAp`',
                                ''
                              ],
                              [
                                '^`',
                                ''
                              ],
                              [
                                '^nʌ`',
                                '낤'
                              ],
                              [
                                '^nȗʌ`',
                                ''
                              ],
                              [
                                '^n`',
                                ''
                              ],
                              [
                                '^nApe`',
                                ''
                              ],
                              [
                                '^nAp^`',
                                ''
                              ],
                              [
                                '^nAp``',
                                ''
                              ]
                            ],
          'ꉹ' => [
                          {
                            '^nAp``' => 16,
                            '^`' => 10,
                            '{Ap`' => 8,
                            'ꊲ' => 1,
                            '^nAp^`' => 15,
                            'ߌ`' => 6,
                            '^nȗʌ`' => 12,
                            '^nApe`' => 14,
                            '^ژAp`' => 9,
                            'ȗӎu`' => 5,
                            '^nʌ`' => 11,
                            '{`' => 7,
                            'R`' => 3,
                            '{`' => 2,
                            '֏`' => 17,
                            'ꖽߌ`' => 18,
                            'ӎu`' => 4,
                            '^n`' => 13
                          },
                          [
                            'ꊲ',
                            '*'
                          ],
                          [
                            '{`',
                            ''
                          ],
                          [
                            'R`',
                            '*'
                          ],
                          [
                            'ӎu`',
                            '悤'
                          ],
                          [
                            'ȗӎu`',
                            ''
                          ],
                          [
                            'ߌ`',
                            ''
                          ],
                          [
                            '{`',
                            ''
                          ],
                          [
                            '{Ap`',
                            '*'
                          ],
                          [
                            '^ژAp`',
                            '*'
                          ],
                          [
                            '^`',
                            ''
                          ],
                          [
                            '^nʌ`',
                            '낤'
                          ],
                          [
                            '^nȗʌ`',
                            ''
                          ],
                          [
                            '^n`',
                            ''
                          ],
                          [
                            '^nApe`',
                            ''
                          ],
                          [
                            '^nAp^`',
                            ''
                          ],
                          [
                            '^nAp``',
                            ''
                          ],
                          [
                            '֏`',
                            ''
                          ],
                          [
                            'ꖽߌ`',
                            ''
                          ]
                        ],
          '^' => [
                                {
                                  'fX{`' => 5,
                                  'ꊲ' => 1,
                                  '_^nApe`' => 3,
                                  'fA{`' => 4,
                                  '{`' => 2
                                },
                                [
                                  'ꊲ',
                                  '*'
                                ],
                                [
                                  '{`',
                                  ''
                                ],
                                [
                                  '_^nApe`',
                                  ''
                                ],
                                [
                                  'fA{`',
                                  'ł'
                                ],
                                [
                                  'fX{`',
                                  'ł'
                                ]
                              ],
          'qs' => [
                              {
                                '^nAp``' => 16,
                                '^`' => 10,
                                '{Ap`' => 8,
                                'ꊲ' => 1,
                                '^nAp^`' => 15,
                                'ߌ`' => 6,
                                '^nȗʌ`' => 12,
                                '^nApe`' => 14,
                                '^ژAp`' => 9,
                                'ȗӎu`' => 5,
                                '^nʌ`' => 11,
                                '{`' => 7,
                                'R`' => 3,
                                '{`' => 2,
                                '֏`' => 17,
                                'ӎu`' => 4,
                                '^n`' => 13
                              },
                              [
                                'ꊲ',
                                '*'
                              ],
                              [
                                '{`',
                                ''
                              ],
                              [
                                'R`',
                                ''
                              ],
                              [
                                'ӎu`',
                                '낤'
                              ],
                              [
                                'ȗӎu`',
                                ''
                              ],
                              [
                                'ߌ`',
                                ''
                              ],
                              [
                                '{`',
                                ''
                              ],
                              [
                                '{Ap`',
                                ''
                              ],
                              [
                                '^ژAp`',
                                ''
                              ],
                              [
                                '^`',
                                ''
                              ],
                              [
                                '^nʌ`',
                                '낤'
                              ],
                              [
                                '^nȗʌ`',
                                ''
                              ],
                              [
                                '^n`',
                                ''
                              ],
                              [
                                '^nApe`',
                                ''
                              ],
                              [
                                '^nAp^`',
                                ''
                              ],
                              [
                                '^nAp``',
                                ''
                              ],
                              [
                                '֏`',
                                ''
                              ]
                            ],
          'i`e' => [
                              {
                                '_{Ap`' => 9,
                                '_񕶌Ǎ`' => 18,
                                'fA^nApe`' => 30,
                                '_^nApe`' => 15,
                                '_^nʌ`' => 12,
                                '_񖽗ߌ`' => 3,
                                '_񕶌`' => 19,
                                'ꊲ' => 1,
                                '_{`' => 8,
                                'fX{ȗʌ`' => 34,
                                'fA{ʌ`' => 22,
                                'fA^n`' => 29,
                                'fA{ȗʌ`' => 23,
                                'fA񖽗ߌ`' => 21,
                                'fX^nApe`' => 39,
                                'fX^n`' => 38,
                                '_^nAp^`' => 16,
                                'fX^nȗʌ`' => 37,
                                'fX{`' => 32,
                                'fX^nʌ`' => 36,
                                '_^n`' => 14,
                                '_Ǎ`' => 5,
                                '_^`' => 11,
                                'fA^`' => 26,
                                'fX^nAp^`' => 40,
                                '_{ʌ`' => 6,
                                'fA^nAp^`' => 31,
                                'fX^`' => 35,
                                'fA{`' => 20,
                                '_{ȗʌ`' => 7,
                                '_^nȗʌ`' => 13,
                                '_{Ǎ`' => 4,
                                'fA{Ap`' => 25,
                                'fA^nʌ`' => 27,
                                '_^nApW`' => 17,
                                '{`' => 2,
                                'fA{`' => 24,
                                '_Ap`' => 10,
                                'fX{ʌ`' => 33,
                                'fA^nȗʌ`' => 28
                              },
                              [
                                'ꊲ',
                                '*'
                              ],
                              [
                                '{`',
                                ''
                              ],
                              [
                                '_񖽗ߌ`',
                                'Ȃ'
                              ],
                              [
                                '_{Ǎ`',
                                ''
                              ],
                              [
                                '_Ǎ`',
                                '*'
                              ],
                              [
                                '_{ʌ`',
                                '낤'
                              ],
                              [
                                '_{ȗʌ`',
                                ''
                              ],
                              [
                                '_{`',
                                'Ȃ'
                              ],
                              [
                                '_{Ap`',
                                ''
                              ],
                              [
                                '_Ap`',
                                ''
                              ],
                              [
                                '_^`',
                                ''
                              ],
                              [
                                '_^nʌ`',
                                '낤'
                              ],
                              [
                                '_^nȗʌ`',
                                ''
                              ],
                              [
                                '_^n`',
                                ''
                              ],
                              [
                                '_^nApe`',
                                ''
                              ],
                              [
                                '_^nAp^`',
                                ''
                              ],
                              [
                                '_^nApW`',
                                ''
                              ],
                              [
                                '_񕶌Ǎ`',
                                'Ȃ'
                              ],
                              [
                                '_񕶌`',
                                'Ȃ'
                              ],
                              [
                                'fA{`',
                                'ł'
                              ],
                              [
                                'fA񖽗ߌ`',
                                'ł'
                              ],
                              [
                                'fA{ʌ`',
                                'ł낤'
                              ],
                              [
                                'fA{ȗʌ`',
                                'ł'
                              ],
                              [
                                'fA{`',
                                'ł'
                              ],
                              [
                                'fA{Ap`',
                                'ł'
                              ],
                              [
                                'fA^`',
                                'ł'
                              ],
                              [
                                'fA^nʌ`',
                                'ł낤'
                              ],
                              [
                                'fA^nȗʌ`',
                                'ł'
                              ],
                              [
                                'fA^n`',
                                'ł'
                              ],
                              [
                                'fA^nApe`',
                                'ł'
                              ],
                              [
                                'fA^nAp^`',
                                'ł'
                              ],
                              [
                                'fX{`',
                                'ł'
                              ],
                              [
                                'fX{ʌ`',
                                'ł傤'
                              ],
                              [
                                'fX{ȗʌ`',
                                'ł'
                              ],
                              [
                                'fX^`',
                                'ł'
                              ],
                              [
                                'fX^nʌ`',
                                'ł낤'
                              ],
                              [
                                'fX^nȗʌ`',
                                'ł'
                              ],
                              [
                                'fX^n`',
                                'ł'
                              ],
                              [
                                'fX^nApe`',
                                'ł'
                              ],
                              [
                                'fX^nAp^`',
                                'ł'
                              ]
                            ]
        };

1;

=head1 MEMO

This module is generated
from F<\Utils\cygwin\usr\local\share\juman\dic\JUMAN.grammar>
and F<\Utils\cygwin\usr\local\share\juman\dic\JUMAN.katuyou>
with F<mkgrammarpm>
at Mon Aug 27 00:04:56 2007.

=cut
